Bug 243560 - kdm: xdmcp no log in
kdm: xdmcp no log in
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
7
i386 Linux
high Severity urgent
: ---
: ---
Assigned To: Rex Dieter
Ben Levenson
: Reopened
: 248653 (view as bug list)
Depends On: 247455
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-09 14:56 EDT by Olaf Mueller
Modified: 2007-12-13 17:18 EST (History)
8 users (show)

See Also:
Fixed In Version: 3.5.8-9.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-12 14:58:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
unsuccessful kdm login (54.28 KB, text/plain)
2007-08-12 04:41 EDT, Nadav Kavalerchik
no flags Details
adapted consolekit (from Mandriva) (23.79 KB, patch)
2007-11-28 15:28 EST, Rex Dieter
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 147790 None None None Never

  None (edit)
Description Olaf Mueller 2007-06-09 14:56:28 EDT
Hello,

under fedora 7 and kde 3.5.6 I could not log in with kdm via a remote
connection (xdmcp). The screen turns blank then goes back to kdm log in 
screen.
The log in works with gdm and also works under fc6 with
kdm. If I replace the fedora 7 /usr/bin/kdm with this one from fc6,
then the remote login works.

I have disabled ipv6.


regards
Olaf
Comment 1 Niko Mirthes 2007-06-21 00:07:13 EDT
I have the same issue trying to login locally using xdmcp and Xephyr.
Comment 2 Cokey de Percin 2007-06-30 14:46:26 EDT
Same issue.  Can not login with Kdm via a remote screen.  Kdm seems to be
failing with a memory problem, but only on a remote connection.  Local seems to
work corretly
Comment 3 Ken Tanzer 2007-07-06 18:24:40 EDT
We had this same problem, and copying kdm from fc6 fixed it.  This machine was
originally an FC6, and got upgraded to FC7.  Remoted logins have been working
fine until today, so perhaps it was some recent updates?
Comment 4 Rex Dieter 2007-07-11 14:22:59 EDT
appears to be induced by ICEauthority patch, see bug #247455
Comment 5 Fedora Update System 2007-07-16 12:50:37 EDT
kdelibs-3.5.7-9.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2007-07-23 11:49:51 EDT
kdelibs-3.5.7-9.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Rex Dieter 2007-07-24 18:55:43 EDT
Even after bug #247455 was fixed, I can still reproduce this, at least using
vnc-server and/or vnc-ltsp-config.  I get a login screen, but after providing
username/password, the vnc session dies. ??
Comment 8 Rex Dieter 2007-07-24 18:57:58 EDT
*** Bug 248653 has been marked as a duplicate of this bug. ***
Comment 9 Nadav Kavalerchik 2007-08-12 04:41:57 EDT
Created attachment 161135 [details]
unsuccessful kdm login

this partial log file has two attempts to login using kdm.
local login - a successful one (10:29)
remote xdmcp - an unsuccessful one (10:49)
Comment 10 Nadav Kavalerchik 2007-08-12 04:45:11 EDT
updating:
kde-settings (3.5-29.fc7) to 3.5-30.fc7
kde-settings-kdm (3.5-29.fc7) to 3.5-30.fc7

didn't solve this issue.
Comment 11 Nadav Kavalerchik 2007-08-12 04:48:09 EDT
updating:
kde-settings (3.5-29.fc7) to 3.5-30.fc7
kde-settings-kdm (3.5-29.fc7) to 3.5-30.fc7

didn't solve this issue.

please tell me if i can help in any way !
Comment 12 Nadav Kavalerchik 2007-10-28 12:56:10 EDT
is this solved ?

it holds us from upgrading 10 servers that work as terminal servers.
if you need any help, please tell me what to do :-) 
Comment 13 Nicolas Lécureuil 2007-11-04 08:31:06 EST
this seems related to the ConsoleKit patch, i rebuilded my kde without this
patch and all work without any problems.

Can someone confirm this ?
Comment 14 Nadav Kavalerchik 2007-11-04 09:24:23 EST
what are the packages i need to download and install to confirm this ?
Comment 15 Nicolas Lécureuil 2007-11-04 12:55:32 EST
sorry i may be wrong but download
ftp://download.fedora.redhat.com/pub/fedora/linux/development/source/SRPMS/kdebase-3.5.8-5.fc8.src.rpm

install it, comment the line %{?_with_hal:%patch27 -p1 -b .consolekit}

and launch the build using:

rpm -ba kdebase.spec
Comment 16 Nicolas Lécureuil 2007-11-04 13:02:17 EST
soory but this is only if you have kde 3.5.8
which kde do you have installed ?
Comment 17 Nadav Kavalerchik 2007-11-05 03:23:32 EST
we use : kdebase-3.6.7-13  on  fc7

should i upgrade to kde 3.5.8 in rawhide to test this ?
can i just enable the respective repositories and upgrade (kde) ?

maybe just get the kdebase 3.5.8 from rawhide ? is it enough ?

(i have a testing server, so i don't mind messing it up)

:-)
Comment 18 Nicolas Lécureuil 2007-11-05 06:01:30 EST
it would be better to keep the same Kde to have a point of comparison :)
i can't find a source rpm for your version.

Can someone point where to find it ? 


thanks

Comment 19 Rex Dieter 2007-11-05 08:00:08 EST
http://koji.fedoraproject.org/koji/packageinfo?packageID=154

I can do a scratch build with the patch disabled for testing purposes.
Comment 20 Nadav Kavalerchik 2007-11-05 09:32:13 EST
rex : please :-)
Comment 21 Nadav Kavalerchik 2007-11-15 10:58:23 EST
rex: which build kdebase in koji should i try ?
Comment 22 Rex Dieter 2007-11-15 12:18:32 EST
no news, no scratch build exists, yet.  

I think it's a given that consolekit integration is to blame here.  Omitting
consolekit support isn't an option, so what really is needed is to debug what's
going wrong and simply fix it.  Help, advice, assistance welcome.
Comment 23 Dr J Austin 2007-11-17 06:10:12 EST
I have been through the following routine just for confirmation on fully
updated Fedora 8 on x86-64
rpm -i kdebase-3.5.8-5.fc8.src.rpm
cd ~/rpmbuild/SPECS
Edit out two lines ref to consolekit in kdebase.spec
export QA_RPATHS=$[ 0x0001|0x0010 ]        This was needed for rpmbuild to work
rpmbuild -bb kdebase.spec
Extracted only kdm from resultant rpm
X and Xephyr will now login successfully - Sound errors given though,maybe more
Xnest works as above but has additional problems
Had a look at kdebase-3.5.8-consolekit-kdm.patch
It meant zero to me I'm afraid !!
What happens next?
John
Comment 24 Kevin Kofler 2007-11-27 22:52:52 EST
Apparently Mandriva issued a fix for this on November 14:
http://www.mandriva.com/en/security/advisories?name=MDKA-2007:110
http://qa.mandriva.com/show_bug.cgi?id=34786
Now we just need to snatch their fixed patch.
Comment 25 Kevin Kofler 2007-11-27 23:03:24 EST
Found the diffs, will fix ASAP.
Comment 26 Rex Dieter 2007-11-28 08:55:33 EST
Arg, all this silliness with distros keeping separate patches... 

My Christmas wish, let the ConsoleKit patch/support get accepted upstream,
please please, pretty please:
http://bugs.kde.org/147790
Comment 27 Rex Dieter 2007-11-28 08:56:56 EST
Perhaps our Mandrake friends could help with the upstream integration too...
hint hint. :)
Comment 28 Rex Dieter 2007-11-28 08:57:14 EST
Perhaps our (oops, edited) Mandriva friends could help with the upstream
integration too... hint hint. :)
Comment 29 Rex Dieter 2007-11-28 15:28:38 EST
Created attachment 271721 [details]
adapted consolekit (from Mandriva)

Here's my quickly munged version of Mandriva's consolekit patch that applies
against kdebase-3.5.8 (I'm doing some local mock builds now for testing).
Comment 30 Rex Dieter 2007-11-28 17:34:15 EST
Patch confirmed mm-mm-good.  Now to kick off a some test builds.
Comment 31 Rex Dieter 2007-11-28 18:05:14 EST
update candidate builds pending:
F-7: http://koji.fedoraproject.org/koji/taskinfo?taskID=264431
F-8: http://koji.fedoraproject.org/koji/taskinfo?taskID=264441

I'm pretty sure these should address our problems here, but if anyone else could
confirm it for us, that would be great.
Comment 32 Kevin Kofler 2007-11-29 03:16:03 EST
I looked at the diff of the diff ;-) from the CVS commit message and it looks 
OK (it has the 2 changes from Mandriva). Thanks for having taken care of this. 
(I would have done it today otherwise.)

We need to update the KDE 4 version of the patch too, for kdebase-workspace, 
though.
Comment 33 Fedora Update System 2007-12-03 06:43:05 EST
kdebase-3.5.8-9.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdebase'
Comment 34 Fedora Update System 2007-12-03 06:45:36 EST
kdebase-3.5.8-9.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdebase'
Comment 35 Fedora Update System 2007-12-12 14:58:18 EST
kdebase-3.5.8-9.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 36 Fedora Update System 2007-12-13 17:18:42 EST
kdebase-3.5.8-9.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.